recipes

packages recipes for the <noname> package manager
Log | Files | Refs

Makefile.in (41236B)


      1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 VPATH = @srcdir@
     18 am__is_gnu_make = { \
     19   if test -z '$(MAKELEVEL)'; then \
     20     false; \
     21   elif test -n '$(MAKE_HOST)'; then \
     22     true; \
     23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     24     true; \
     25   else \
     26     false; \
     27   fi; \
     28 }
     29 am__make_running_with_option = \
     30   case $${target_option-} in \
     31       ?) ;; \
     32       *) echo "am__make_running_with_option: internal error: invalid" \
     33               "target option '$${target_option-}' specified" >&2; \
     34          exit 1;; \
     35   esac; \
     36   has_opt=no; \
     37   sane_makeflags=$$MAKEFLAGS; \
     38   if $(am__is_gnu_make); then \
     39     sane_makeflags=$$MFLAGS; \
     40   else \
     41     case $$MAKEFLAGS in \
     42       *\\[\ \	]*) \
     43         bs=\\; \
     44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     46     esac; \
     47   fi; \
     48   skip_next=no; \
     49   strip_trailopt () \
     50   { \
     51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     52   }; \
     53   for flg in $$sane_makeflags; do \
     54     test $$skip_next = yes && { skip_next=no; continue; }; \
     55     case $$flg in \
     56       *=*|--*) continue;; \
     57         -*I) strip_trailopt 'I'; skip_next=yes;; \
     58       -*I?*) strip_trailopt 'I';; \
     59         -*O) strip_trailopt 'O'; skip_next=yes;; \
     60       -*O?*) strip_trailopt 'O';; \
     61         -*l) strip_trailopt 'l'; skip_next=yes;; \
     62       -*l?*) strip_trailopt 'l';; \
     63       -[dEDm]) skip_next=yes;; \
     64       -[JT]) skip_next=yes;; \
     65     esac; \
     66     case $$flg in \
     67       *$$target_option*) has_opt=yes; break;; \
     68     esac; \
     69   done; \
     70   test $$has_opt = yes
     71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     73 pkgdatadir = $(datadir)/@DEFAGE@
     74 pkgincludedir = $(includedir)/@DEFAGE@
     75 pkglibdir = $(libdir)/@DEFAGE@
     76 pkglibexecdir = $(libexecdir)/@DEFAGE@
     77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     78 install_sh_DATA = $(install_sh) -c -m 644
     79 install_sh_PROGRAM = $(install_sh) -c
     80 install_sh_SCRIPT = $(install_sh) -c
     81 INSTALL_HEADER = $(INSTALL_DATA)
     82 transform = $(program_transform_name)
     83 NORMAL_INSTALL = :
     84 PRE_INSTALL = :
     85 POST_INSTALL = :
     86 NORMAL_UNINSTALL = :
     87 PRE_UNINSTALL = :
     88 POST_UNINSTALL = :
     89 build_triplet = @build@
     90 host_triplet = @host@
     91 target_triplet = @target@
     92 TESTS = test_connect$(EXEEXT) test_dns$(EXEEXT) \
     93 	test_fd_passing$(EXEEXT) test_getpeername$(EXEEXT) \
     94 	test_socket$(EXEEXT)
     95 noinst_PROGRAMS = test_dns$(EXEEXT) test_socket$(EXEEXT) \
     96 	test_connect$(EXEEXT) test_fd_passing$(EXEEXT) \
     97 	test_getpeername$(EXEEXT)
     98 subdir = tests
     99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    100 am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compile_flag.m4 \
    101 	$(top_srcdir)/config/ax_check_link_flag.m4 \
    102 	$(top_srcdir)/config/libtool.m4 \
    103 	$(top_srcdir)/config/ltoptions.m4 \
    104 	$(top_srcdir)/config/ltsugar.m4 \
    105 	$(top_srcdir)/config/ltversion.m4 \
    106 	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
    107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    108 	$(ACLOCAL_M4)
    109 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    110 mkinstalldirs = $(install_sh) -d
    111 CONFIG_HEADER = $(top_builddir)/include/config.h
    112 CONFIG_CLEAN_FILES =
    113 CONFIG_CLEAN_VPATH_FILES =
    114 PROGRAMS = $(noinst_PROGRAMS)
    115 am_test_connect_OBJECTS = test_connect.$(OBJEXT)
    116 test_connect_OBJECTS = $(am_test_connect_OBJECTS)
    117 test_connect_DEPENDENCIES = $(LIBTAP) $(LIBTORSOCKS)
    118 AM_V_lt = $(am__v_lt_@AM_V@)
    119 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    120 am__v_lt_0 = --silent
    121 am__v_lt_1 = 
    122 am__objects_1 = helpers.$(OBJEXT)
    123 am_test_dns_OBJECTS = test_dns.$(OBJEXT) $(am__objects_1)
    124 test_dns_OBJECTS = $(am_test_dns_OBJECTS)
    125 test_dns_DEPENDENCIES = $(LIBTAP) $(LIBTORSOCKS)
    126 am_test_fd_passing_OBJECTS = test_fd_passing.$(OBJEXT)
    127 test_fd_passing_OBJECTS = $(am_test_fd_passing_OBJECTS)
    128 test_fd_passing_DEPENDENCIES = $(LIBTAP) $(LIBTORSOCKS)
    129 am_test_getpeername_OBJECTS = test_getpeername.$(OBJEXT) \
    130 	$(am__objects_1)
    131 test_getpeername_OBJECTS = $(am_test_getpeername_OBJECTS)
    132 test_getpeername_DEPENDENCIES = $(LIBTAP) $(LIBTORSOCKS)
    133 am_test_socket_OBJECTS = test_socket.$(OBJEXT)
    134 test_socket_OBJECTS = $(am_test_socket_OBJECTS)
    135 test_socket_DEPENDENCIES = $(LIBTAP) $(LIBTORSOCKS)
    136 AM_V_P = $(am__v_P_@AM_V@)
    137 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    138 am__v_P_0 = false
    139 am__v_P_1 = :
    140 AM_V_GEN = $(am__v_GEN_@AM_V@)
    141 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    142 am__v_GEN_0 = @echo "  GEN     " $@;
    143 am__v_GEN_1 = 
    144 AM_V_at = $(am__v_at_@AM_V@)
    145 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    146 am__v_at_0 = @
    147 am__v_at_1 = 
    148 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
    149 am__maybe_remake_depfiles = depfiles
    150 am__depfiles_remade = ./$(DEPDIR)/helpers.Po \
    151 	./$(DEPDIR)/test_connect.Po ./$(DEPDIR)/test_dns.Po \
    152 	./$(DEPDIR)/test_fd_passing.Po ./$(DEPDIR)/test_getpeername.Po \
    153 	./$(DEPDIR)/test_socket.Po
    154 am__mv = mv -f
    155 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    156 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    157 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    158 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    159 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    160 	$(AM_CFLAGS) $(CFLAGS)
    161 AM_V_CC = $(am__v_CC_@AM_V@)
    162 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    163 am__v_CC_0 = @echo "  CC      " $@;
    164 am__v_CC_1 = 
    165 CCLD = $(CC)
    166 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    167 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    168 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    169 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    170 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    171 am__v_CCLD_0 = @echo "  CCLD    " $@;
    172 am__v_CCLD_1 = 
    173 SOURCES = $(test_connect_SOURCES) $(test_dns_SOURCES) \
    174 	$(test_fd_passing_SOURCES) $(test_getpeername_SOURCES) \
    175 	$(test_socket_SOURCES)
    176 DIST_SOURCES = $(test_connect_SOURCES) $(test_dns_SOURCES) \
    177 	$(test_fd_passing_SOURCES) $(test_getpeername_SOURCES) \
    178 	$(test_socket_SOURCES)
    179 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
    180 	ctags-recursive dvi-recursive html-recursive info-recursive \
    181 	install-data-recursive install-dvi-recursive \
    182 	install-exec-recursive install-html-recursive \
    183 	install-info-recursive install-pdf-recursive \
    184 	install-ps-recursive install-recursive installcheck-recursive \
    185 	installdirs-recursive pdf-recursive ps-recursive \
    186 	tags-recursive uninstall-recursive
    187 am__can_run_installinfo = \
    188   case $$AM_UPDATE_INFO_DIR in \
    189     n|no|NO) false;; \
    190     *) (install-info --version) >/dev/null 2>&1;; \
    191   esac
    192 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
    193   distclean-recursive maintainer-clean-recursive
    194 am__recursive_targets = \
    195   $(RECURSIVE_TARGETS) \
    196   $(RECURSIVE_CLEAN_TARGETS) \
    197   $(am__extra_recursive_targets)
    198 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
    199 	check recheck distdir distdir-am
    200 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    201 # Read a list of newline-separated strings from the standard input,
    202 # and print each of them once, without duplicates.  Input order is
    203 # *not* preserved.
    204 am__uniquify_input = $(AWK) '\
    205   BEGIN { nonempty = 0; } \
    206   { items[$$0] = 1; nonempty = 1; } \
    207   END { if (nonempty) { for (i in items) print i; }; } \
    208 '
    209 # Make sure the list of sources is unique.  This is necessary because,
    210 # e.g., the same source file might be shared among _SOURCES variables
    211 # for different programs/libraries.
    212 am__define_uniq_tagged_files = \
    213   list='$(am__tagged_files)'; \
    214   unique=`for i in $$list; do \
    215     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    216   done | $(am__uniquify_input)`
    217 ETAGS = etags
    218 CTAGS = ctags
    219 am__tty_colors_dummy = \
    220   mgn= red= grn= lgn= blu= brg= std=; \
    221   am__color_tests=no
    222 am__tty_colors = { \
    223   $(am__tty_colors_dummy); \
    224   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    225     am__color_tests=no; \
    226   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    227     am__color_tests=yes; \
    228   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    229     am__color_tests=yes; \
    230   fi; \
    231   if test $$am__color_tests = yes; then \
    232     red=''; \
    233     grn=''; \
    234     lgn=''; \
    235     blu=''; \
    236     mgn=''; \
    237     brg=''; \
    238     std=''; \
    239   fi; \
    240 }
    241 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    242 am__vpath_adj = case $$p in \
    243     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    244     *) f=$$p;; \
    245   esac;
    246 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    247 am__install_max = 40
    248 am__nobase_strip_setup = \
    249   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    250 am__nobase_strip = \
    251   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    252 am__nobase_list = $(am__nobase_strip_setup); \
    253   for p in $$list; do echo "$$p $$p"; done | \
    254   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    255   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    256     if (++n[$$2] == $(am__install_max)) \
    257       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    258     END { for (dir in files) print dir, files[dir] }'
    259 am__base_list = \
    260   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    261   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    262 am__uninstall_files_from_dir = { \
    263   test -z "$$files" \
    264     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    265     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    266          $(am__cd) "$$dir" && rm -f $$files; }; \
    267   }
    268 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    269 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    270 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    271 # A command that, given a newline-separated list of test names on the
    272 # standard input, print the name of the tests that are to be re-run
    273 # upon "make recheck".
    274 am__list_recheck_tests = $(AWK) '{ \
    275   recheck = 1; \
    276   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    277     { \
    278       if (rc < 0) \
    279         { \
    280           if ((getline line2 < ($$0 ".log")) < 0) \
    281 	    recheck = 0; \
    282           break; \
    283         } \
    284       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    285         { \
    286           recheck = 0; \
    287           break; \
    288         } \
    289       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    290         { \
    291           break; \
    292         } \
    293     }; \
    294   if (recheck) \
    295     print $$0; \
    296   close ($$0 ".trs"); \
    297   close ($$0 ".log"); \
    298 }'
    299 # A command that, given a newline-separated list of test names on the
    300 # standard input, create the global log from their .trs and .log files.
    301 am__create_global_log = $(AWK) ' \
    302 function fatal(msg) \
    303 { \
    304   print "fatal: making $@: " msg | "cat >&2"; \
    305   exit 1; \
    306 } \
    307 function rst_section(header) \
    308 { \
    309   print header; \
    310   len = length(header); \
    311   for (i = 1; i <= len; i = i + 1) \
    312     printf "="; \
    313   printf "\n\n"; \
    314 } \
    315 { \
    316   copy_in_global_log = 1; \
    317   global_test_result = "RUN"; \
    318   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    319     { \
    320       if (rc < 0) \
    321          fatal("failed to read from " $$0 ".trs"); \
    322       if (line ~ /$(am__global_test_result_rx)/) \
    323         { \
    324           sub("$(am__global_test_result_rx)", "", line); \
    325           sub("[ 	]*$$", "", line); \
    326           global_test_result = line; \
    327         } \
    328       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    329         copy_in_global_log = 0; \
    330     }; \
    331   if (copy_in_global_log) \
    332     { \
    333       rst_section(global_test_result ": " $$0); \
    334       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    335       { \
    336         if (rc < 0) \
    337           fatal("failed to read from " $$0 ".log"); \
    338         print line; \
    339       }; \
    340       printf "\n"; \
    341     }; \
    342   close ($$0 ".trs"); \
    343   close ($$0 ".log"); \
    344 }'
    345 # Restructured Text title.
    346 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    347 # Solaris 10 'make', and several other traditional 'make' implementations,
    348 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    349 # by disabling -e (using the XSI extension "set +e") if it's set.
    350 am__sh_e_setup = case $$- in *e*) set +e;; esac
    351 # Default flags passed to test drivers.
    352 am__common_driver_flags = \
    353   --color-tests "$$am__color_tests" \
    354   --enable-hard-errors "$$am__enable_hard_errors" \
    355   --expect-failure "$$am__expect_failure"
    356 # To be inserted before the command running the test.  Creates the
    357 # directory for the log if needed.  Stores in $dir the directory
    358 # containing $f, in $tst the test, in $log the log.  Executes the
    359 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    360 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    361 # will run the test scripts (or their associated LOG_COMPILER, if
    362 # thy have one).
    363 am__check_pre = \
    364 $(am__sh_e_setup);					\
    365 $(am__vpath_adj_setup) $(am__vpath_adj)			\
    366 $(am__tty_colors);					\
    367 srcdir=$(srcdir); export srcdir;			\
    368 case "$@" in						\
    369   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    370     *) am__odir=.;; 					\
    371 esac;							\
    372 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    373   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    374 if test -f "./$$f"; then dir=./;			\
    375 elif test -f "$$f"; then dir=;				\
    376 else dir="$(srcdir)/"; fi;				\
    377 tst=$$dir$$f; log='$@'; 				\
    378 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    379   am__enable_hard_errors=no; 				\
    380 else							\
    381   am__enable_hard_errors=yes; 				\
    382 fi; 							\
    383 case " $(XFAIL_TESTS) " in				\
    384   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    385     am__expect_failure=yes;;				\
    386   *)							\
    387     am__expect_failure=no;;				\
    388 esac; 							\
    389 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    390 # A shell command to get the names of the tests scripts with any registered
    391 # extension removed (i.e., equivalently, the names of the test logs, with
    392 # the '.log' extension removed).  The result is saved in the shell variable
    393 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    394 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    395 # since that might cause problem with VPATH rewrites for suffix-less tests.
    396 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    397 am__set_TESTS_bases = \
    398   bases='$(TEST_LOGS)'; \
    399   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    400   bases=`echo $$bases`
    401 RECHECK_LOGS = $(TEST_LOGS)
    402 TEST_SUITE_LOG = test-suite.log
    403 TEST_EXTENSIONS = @EXEEXT@ .test
    404 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
    405 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    406 am__set_b = \
    407   case '$@' in \
    408     */*) \
    409       case '$*' in \
    410         */*) b='$*';; \
    411           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    412        esac;; \
    413     *) \
    414       b='$*';; \
    415   esac
    416 am__test_logs1 = $(TESTS:=.log)
    417 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    418 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    419 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    420 	$(TEST_LOG_FLAGS)
    421 DIST_SUBDIRS = $(SUBDIRS)
    422 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
    423 	$(top_srcdir)/config/test-driver
    424 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    425 am__relativize = \
    426   dir0=`pwd`; \
    427   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
    428   sed_rest='s,^[^/]*/*,,'; \
    429   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
    430   sed_butlast='s,/*[^/]*$$,,'; \
    431   while test -n "$$dir1"; do \
    432     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    433     if test "$$first" != "."; then \
    434       if test "$$first" = ".."; then \
    435         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
    436         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    437       else \
    438         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
    439         if test "$$first2" = "$$first"; then \
    440           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
    441         else \
    442           dir2="../$$dir2"; \
    443         fi; \
    444         dir0="$$dir0"/"$$first"; \
    445       fi; \
    446     fi; \
    447     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
    448   done; \
    449   reldir="$$dir2"
    450 ACLOCAL = @ACLOCAL@
    451 AMTAR = @AMTAR@
    452 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    453 AR = @AR@
    454 AUTOCONF = @AUTOCONF@
    455 AUTOHEADER = @AUTOHEADER@
    456 AUTOMAKE = @AUTOMAKE@
    457 AWK = @AWK@
    458 CC = @CC@
    459 CCDEPMODE = @CCDEPMODE@
    460 CFLAGS = @CFLAGS@
    461 CONFDIR = @CONFDIR@
    462 CPP = @CPP@
    463 CPPFLAGS = @CPPFLAGS@
    464 CYGPATH_W = @CYGPATH_W@
    465 DEFAULT_INCLUDES = @DEFAULT_INCLUDES@
    466 DEFS = @DEFS@
    467 DEPDIR = @DEPDIR@
    468 DLLTOOL = @DLLTOOL@
    469 DSYMUTIL = @DSYMUTIL@
    470 DUMPBIN = @DUMPBIN@
    471 ECHO_C = @ECHO_C@
    472 ECHO_N = @ECHO_N@
    473 ECHO_T = @ECHO_T@
    474 EGREP = @EGREP@
    475 EXEEXT = @EXEEXT@
    476 FGREP = @FGREP@
    477 GREP = @GREP@
    478 INSTALL = @INSTALL@
    479 INSTALL_DATA = @INSTALL_DATA@
    480 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    481 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    482 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    483 LD = @LD@
    484 LDFLAGS = @LDFLAGS@
    485 LDPRELOAD = @LDPRELOAD@
    486 LIBOBJS = @LIBOBJS@
    487 LIBS = @LIBS@
    488 LIBTOOL = @LIBTOOL@
    489 LIBTOOL_DEPS = @LIBTOOL_DEPS@
    490 LIPO = @LIPO@
    491 LN_S = @LN_S@
    492 LTLIBOBJS = @LTLIBOBJS@
    493 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
    494 MAKEINFO = @MAKEINFO@
    495 MANIFEST_TOOL = @MANIFEST_TOOL@
    496 MKDIR_P = @MKDIR_P@
    497 NM = @NM@
    498 NMEDIT = @NMEDIT@
    499 OBJDUMP = @OBJDUMP@
    500 OBJEXT = @OBJEXT@
    501 OTOOL = @OTOOL@
    502 OTOOL64 = @OTOOL64@
    503 DEFAGE = @DEFAGE@
    504 DEFAGE_BUGREPORT = @DEFAGE_BUGREPORT@
    505 DEFAGE_NAME = @DEFAGE_NAME@
    506 DEFAGE_STRING = @DEFAGE_STRING@
    507 DEFAGE_TARNAME = @DEFAGE_TARNAME@
    508 DEFAGE_URL = @DEFAGE_URL@
    509 DEFAGE_VERSION = @DEFAGE_VERSION@
    510 PATH_SEPARATOR = @PATH_SEPARATOR@
    511 RANLIB = @RANLIB@
    512 SED = @SED@
    513 SET_MAKE = @SET_MAKE@
    514 SHELL = @SHELL@
    515 SHLIB_EXT = @SHLIB_EXT@
    516 STRIP = @STRIP@
    517 TESTLDFLAGS = @TESTLDFLAGS@
    518 TORSOCKSLDFLAGS = @TORSOCKSLDFLAGS@
    519 VERSION = @VERSION@
    520 abs_builddir = @abs_builddir@
    521 abs_srcdir = @abs_srcdir@
    522 abs_top_builddir = @abs_top_builddir@
    523 abs_top_srcdir = @abs_top_srcdir@
    524 ac_ct_AR = @ac_ct_AR@
    525 ac_ct_CC = @ac_ct_CC@
    526 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    527 am__include = @am__include@
    528 am__leading_dot = @am__leading_dot@
    529 am__quote = @am__quote@
    530 am__tar = @am__tar@
    531 am__untar = @am__untar@
    532 bindir = @bindir@
    533 build = @build@
    534 build_alias = @build_alias@
    535 build_cpu = @build_cpu@
    536 build_os = @build_os@
    537 build_vendor = @build_vendor@
    538 builddir = @builddir@
    539 datadir = @datadir@
    540 datarootdir = @datarootdir@
    541 docdir = @docdir@
    542 dvidir = @dvidir@
    543 exec_prefix = @exec_prefix@
    544 host = @host@
    545 host_alias = @host_alias@
    546 host_cpu = @host_cpu@
    547 host_os = @host_os@
    548 host_vendor = @host_vendor@
    549 htmldir = @htmldir@
    550 includedir = @includedir@
    551 infodir = @infodir@
    552 install_sh = @install_sh@
    553 libdir = @libdir@
    554 libexecdir = @libexecdir@
    555 localedir = @localedir@
    556 localstatedir = @localstatedir@
    557 mandir = @mandir@
    558 mkdir_p = @mkdir_p@
    559 oldincludedir = @oldincludedir@
    560 pdfdir = @pdfdir@
    561 prefix = @prefix@
    562 program_transform_name = @program_transform_name@
    563 psdir = @psdir@
    564 sbindir = @sbindir@
    565 sharedstatedir = @sharedstatedir@
    566 srcdir = @srcdir@
    567 sysconfdir = @sysconfdir@
    568 target = @target@
    569 target_alias = @target_alias@
    570 target_cpu = @target_cpu@
    571 target_os = @target_os@
    572 target_vendor = @target_vendor@
    573 top_build_prefix = @top_build_prefix@
    574 top_builddir = @top_builddir@
    575 top_srcdir = @top_srcdir@
    576 SUBDIRS = utils unit
    577 TAP_DRIVER = $(top_srcdir)/tests/tap-driver.sh
    578 TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(TAP_DRIVER)
    579 AM_CFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/tests/utils/ -I$(srcdir)
    580 LIBTAP = $(top_builddir)/tests/utils/tap/libtap.la
    581 LIBTORSOCKS = $(top_builddir)/src/lib/libtorsocks.la
    582 HELPER_SOURCES = helpers.c helpers.h
    583 test_dns_SOURCES = test_dns.c $(HELPER_SOURCES)
    584 test_dns_LDADD = $(LIBTAP) $(LIBTORSOCKS)
    585 test_socket_SOURCES = test_socket.c
    586 test_socket_LDADD = $(LIBTAP) $(LIBTORSOCKS)
    587 test_connect_SOURCES = test_connect.c
    588 test_connect_LDADD = $(LIBTAP) $(LIBTORSOCKS)
    589 test_fd_passing_SOURCES = test_fd_passing.c
    590 test_fd_passing_LDADD = $(LIBTAP) $(LIBTORSOCKS) -lpthread
    591 test_getpeername_SOURCES = test_getpeername.c $(HELPER_SOURCES)
    592 test_getpeername_LDADD = $(LIBTAP) $(LIBTORSOCKS)
    593 all: all-recursive
    594 
    595 .SUFFIXES:
    596 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    597 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    598 	@for dep in $?; do \
    599 	  case '$(am__configure_deps)' in \
    600 	    *$$dep*) \
    601 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    602 	        && { if test -f $@; then exit 0; else break; fi; }; \
    603 	      exit 1;; \
    604 	  esac; \
    605 	done; \
    606 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
    607 	$(am__cd) $(top_srcdir) && \
    608 	  $(AUTOMAKE) --foreign tests/Makefile
    609 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    610 	@case '$?' in \
    611 	  *config.status*) \
    612 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    613 	  *) \
    614 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
    615 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
    616 	esac;
    617 
    618 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    619 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    620 
    621 $(top_srcdir)/configure:  $(am__configure_deps)
    622 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    623 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    624 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    625 $(am__aclocal_m4_deps):
    626 
    627 clean-noinstPROGRAMS:
    628 	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
    629 	echo " rm -f" $$list; \
    630 	rm -f $$list || exit $$?; \
    631 	test -n "$(EXEEXT)" || exit 0; \
    632 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    633 	echo " rm -f" $$list; \
    634 	rm -f $$list
    635 
    636 test_connect$(EXEEXT): $(test_connect_OBJECTS) $(test_connect_DEPENDENCIES) $(EXTRA_test_connect_DEPENDENCIES) 
    637 	@rm -f test_connect$(EXEEXT)
    638 	$(AM_V_CCLD)$(LINK) $(test_connect_OBJECTS) $(test_connect_LDADD) $(LIBS)
    639 
    640 test_dns$(EXEEXT): $(test_dns_OBJECTS) $(test_dns_DEPENDENCIES) $(EXTRA_test_dns_DEPENDENCIES) 
    641 	@rm -f test_dns$(EXEEXT)
    642 	$(AM_V_CCLD)$(LINK) $(test_dns_OBJECTS) $(test_dns_LDADD) $(LIBS)
    643 
    644 test_fd_passing$(EXEEXT): $(test_fd_passing_OBJECTS) $(test_fd_passing_DEPENDENCIES) $(EXTRA_test_fd_passing_DEPENDENCIES) 
    645 	@rm -f test_fd_passing$(EXEEXT)
    646 	$(AM_V_CCLD)$(LINK) $(test_fd_passing_OBJECTS) $(test_fd_passing_LDADD) $(LIBS)
    647 
    648 test_getpeername$(EXEEXT): $(test_getpeername_OBJECTS) $(test_getpeername_DEPENDENCIES) $(EXTRA_test_getpeername_DEPENDENCIES) 
    649 	@rm -f test_getpeername$(EXEEXT)
    650 	$(AM_V_CCLD)$(LINK) $(test_getpeername_OBJECTS) $(test_getpeername_LDADD) $(LIBS)
    651 
    652 test_socket$(EXEEXT): $(test_socket_OBJECTS) $(test_socket_DEPENDENCIES) $(EXTRA_test_socket_DEPENDENCIES) 
    653 	@rm -f test_socket$(EXEEXT)
    654 	$(AM_V_CCLD)$(LINK) $(test_socket_OBJECTS) $(test_socket_LDADD) $(LIBS)
    655 
    656 mostlyclean-compile:
    657 	-rm -f *.$(OBJEXT)
    658 
    659 distclean-compile:
    660 	-rm -f *.tab.c
    661 
    662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helpers.Po@am__quote@ # am--include-marker
    663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_connect.Po@am__quote@ # am--include-marker
    664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dns.Po@am__quote@ # am--include-marker
    665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_fd_passing.Po@am__quote@ # am--include-marker
    666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_getpeername.Po@am__quote@ # am--include-marker
    667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_socket.Po@am__quote@ # am--include-marker
    668 
    669 $(am__depfiles_remade):
    670 	@$(MKDIR_P) $(@D)
    671 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
    672 
    673 am--depfiles: $(am__depfiles_remade)
    674 
    675 .c.o:
    676 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    677 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    678 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    679 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    680 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
    681 
    682 .c.obj:
    683 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
    684 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    685 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    686 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    687 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    688 
    689 .c.lo:
    690 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    691 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
    692 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
    693 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    694 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
    695 
    696 mostlyclean-libtool:
    697 	-rm -f *.lo
    698 
    699 clean-libtool:
    700 	-rm -rf .libs _libs
    701 
    702 # This directory's subdirectories are mostly independent; you can cd
    703 # into them and run 'make' without going through this Makefile.
    704 # To change the values of 'make' variables: instead of editing Makefiles,
    705 # (1) if the variable is set in 'config.status', edit 'config.status'
    706 #     (which will cause the Makefiles to be regenerated when you run 'make');
    707 # (2) otherwise, pass the desired values on the 'make' command line.
    708 $(am__recursive_targets):
    709 	@fail=; \
    710 	if $(am__make_keepgoing); then \
    711 	  failcom='fail=yes'; \
    712 	else \
    713 	  failcom='exit 1'; \
    714 	fi; \
    715 	dot_seen=no; \
    716 	target=`echo $@ | sed s/-recursive//`; \
    717 	case "$@" in \
    718 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    719 	  *) list='$(SUBDIRS)' ;; \
    720 	esac; \
    721 	for subdir in $$list; do \
    722 	  echo "Making $$target in $$subdir"; \
    723 	  if test "$$subdir" = "."; then \
    724 	    dot_seen=yes; \
    725 	    local_target="$$target-am"; \
    726 	  else \
    727 	    local_target="$$target"; \
    728 	  fi; \
    729 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    730 	  || eval $$failcom; \
    731 	done; \
    732 	if test "$$dot_seen" = "no"; then \
    733 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    734 	fi; test -z "$$fail"
    735 
    736 ID: $(am__tagged_files)
    737 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    738 tags: tags-recursive
    739 TAGS: tags
    740 
    741 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    742 	set x; \
    743 	here=`pwd`; \
    744 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    745 	  include_option=--etags-include; \
    746 	  empty_fix=.; \
    747 	else \
    748 	  include_option=--include; \
    749 	  empty_fix=; \
    750 	fi; \
    751 	list='$(SUBDIRS)'; for subdir in $$list; do \
    752 	  if test "$$subdir" = .; then :; else \
    753 	    test ! -f $$subdir/TAGS || \
    754 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    755 	  fi; \
    756 	done; \
    757 	$(am__define_uniq_tagged_files); \
    758 	shift; \
    759 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    760 	  test -n "$$unique" || unique=$$empty_fix; \
    761 	  if test $$# -gt 0; then \
    762 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    763 	      "$$@" $$unique; \
    764 	  else \
    765 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    766 	      $$unique; \
    767 	  fi; \
    768 	fi
    769 ctags: ctags-recursive
    770 
    771 CTAGS: ctags
    772 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    773 	$(am__define_uniq_tagged_files); \
    774 	test -z "$(CTAGS_ARGS)$$unique" \
    775 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    776 	     $$unique
    777 
    778 GTAGS:
    779 	here=`$(am__cd) $(top_builddir) && pwd` \
    780 	  && $(am__cd) $(top_srcdir) \
    781 	  && gtags -i $(GTAGS_ARGS) "$$here"
    782 cscopelist: cscopelist-recursive
    783 
    784 cscopelist-am: $(am__tagged_files)
    785 	list='$(am__tagged_files)'; \
    786 	case "$(srcdir)" in \
    787 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    788 	  *) sdir=$(subdir)/$(srcdir) ;; \
    789 	esac; \
    790 	for i in $$list; do \
    791 	  if test -f "$$i"; then \
    792 	    echo "$(subdir)/$$i"; \
    793 	  else \
    794 	    echo "$$sdir/$$i"; \
    795 	  fi; \
    796 	done >> $(top_builddir)/cscope.files
    797 
    798 distclean-tags:
    799 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    800 
    801 # Recover from deleted '.trs' file; this should ensure that
    802 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    803 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    804 # to avoid problems with "make -n".
    805 .log.trs:
    806 	rm -f $< $@
    807 	$(MAKE) $(AM_MAKEFLAGS) $<
    808 
    809 # Leading 'am--fnord' is there to ensure the list of targets does not
    810 # expand to empty, as could happen e.g. with make check TESTS=''.
    811 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    812 am--force-recheck:
    813 	@:
    814 
    815 $(TEST_SUITE_LOG): $(TEST_LOGS)
    816 	@$(am__set_TESTS_bases); \
    817 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    818 	redo_bases=`for i in $$bases; do \
    819 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    820 	            done`; \
    821 	if test -n "$$redo_bases"; then \
    822 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    823 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    824 	  if $(am__make_dryrun); then :; else \
    825 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    826 	  fi; \
    827 	fi; \
    828 	if test -n "$$am__remaking_logs"; then \
    829 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    830 	       "recursion detected" >&2; \
    831 	elif test -n "$$redo_logs"; then \
    832 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    833 	fi; \
    834 	if $(am__make_dryrun); then :; else \
    835 	  st=0;  \
    836 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    837 	  for i in $$redo_bases; do \
    838 	    test -f $$i.trs && test -r $$i.trs \
    839 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    840 	    test -f $$i.log && test -r $$i.log \
    841 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
    842 	  done; \
    843 	  test $$st -eq 0 || exit 1; \
    844 	fi
    845 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    846 	ws='[ 	]'; \
    847 	results=`for b in $$bases; do echo $$b.trs; done`; \
    848 	test -n "$$results" || results=/dev/null; \
    849 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    850 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    851 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    852 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    853 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    854 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    855 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    856 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    857 	  success=true; \
    858 	else \
    859 	  success=false; \
    860 	fi; \
    861 	br='==================='; br=$$br$$br$$br$$br; \
    862 	result_count () \
    863 	{ \
    864 	    if test x"$$1" = x"--maybe-color"; then \
    865 	      maybe_colorize=yes; \
    866 	    elif test x"$$1" = x"--no-color"; then \
    867 	      maybe_colorize=no; \
    868 	    else \
    869 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    870 	    fi; \
    871 	    shift; \
    872 	    desc=$$1 count=$$2; \
    873 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
    874 	      color_start=$$3 color_end=$$std; \
    875 	    else \
    876 	      color_start= color_end=; \
    877 	    fi; \
    878 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
    879 	}; \
    880 	create_testsuite_report () \
    881 	{ \
    882 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
    883 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
    884 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
    885 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
    886 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
    887 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
    888 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
    889 	}; \
    890 	{								\
    891 	  echo "$(DEFAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
    892 	    $(am__rst_title);						\
    893 	  create_testsuite_report --no-color;				\
    894 	  echo;								\
    895 	  echo ".. contents:: :depth: 2";				\
    896 	  echo;								\
    897 	  for b in $$bases; do echo $$b; done				\
    898 	    | $(am__create_global_log);					\
    899 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
    900 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
    901 	if $$success; then						\
    902 	  col="$$grn";							\
    903 	 else								\
    904 	  col="$$red";							\
    905 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
    906 	fi;								\
    907 	echo "$${col}$$br$${std}"; 					\
    908 	echo "$${col}Testsuite summary for $(DEFAGE_STRING)$${std}";	\
    909 	echo "$${col}$$br$${std}"; 					\
    910 	create_testsuite_report --maybe-color;				\
    911 	echo "$$col$$br$$std";						\
    912 	if $$success; then :; else					\
    913 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
    914 	  if test -n "$(DEFAGE_BUGREPORT)"; then			\
    915 	    echo "$${col}Please report to $(DEFAGE_BUGREPORT)$${std}";	\
    916 	  fi;								\
    917 	  echo "$$col$$br$$std";					\
    918 	fi;								\
    919 	$$success || exit 1
    920 
    921 check-TESTS: 
    922 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
    923 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
    924 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    925 	@set +e; $(am__set_TESTS_bases); \
    926 	log_list=`for i in $$bases; do echo $$i.log; done`; \
    927 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
    928 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
    929 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
    930 	exit $$?;
    931 recheck: all 
    932 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    933 	@set +e; $(am__set_TESTS_bases); \
    934 	bases=`for i in $$bases; do echo $$i; done \
    935 	         | $(am__list_recheck_tests)` || exit 1; \
    936 	log_list=`for i in $$bases; do echo $$i.log; done`; \
    937 	log_list=`echo $$log_list`; \
    938 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
    939 	        am__force_recheck=am--force-recheck \
    940 	        TEST_LOGS="$$log_list"; \
    941 	exit $$?
    942 test_connect.log: test_connect$(EXEEXT)
    943 	@p='test_connect$(EXEEXT)'; \
    944 	b='test_connect'; \
    945 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    946 	--log-file $$b.log --trs-file $$b.trs \
    947 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    948 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    949 test_dns.log: test_dns$(EXEEXT)
    950 	@p='test_dns$(EXEEXT)'; \
    951 	b='test_dns'; \
    952 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    953 	--log-file $$b.log --trs-file $$b.trs \
    954 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    955 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    956 test_fd_passing.log: test_fd_passing$(EXEEXT)
    957 	@p='test_fd_passing$(EXEEXT)'; \
    958 	b='test_fd_passing'; \
    959 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    960 	--log-file $$b.log --trs-file $$b.trs \
    961 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    962 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    963 test_getpeername.log: test_getpeername$(EXEEXT)
    964 	@p='test_getpeername$(EXEEXT)'; \
    965 	b='test_getpeername'; \
    966 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    967 	--log-file $$b.log --trs-file $$b.trs \
    968 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    969 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    970 test_socket.log: test_socket$(EXEEXT)
    971 	@p='test_socket$(EXEEXT)'; \
    972 	b='test_socket'; \
    973 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    974 	--log-file $$b.log --trs-file $$b.trs \
    975 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    976 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    977 .test.log:
    978 	@p='$<'; \
    979 	$(am__set_b); \
    980 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    981 	--log-file $$b.log --trs-file $$b.trs \
    982 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    983 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    984 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
    985 @am__EXEEXT_TRUE@	@p='$<'; \
    986 @am__EXEEXT_TRUE@	$(am__set_b); \
    987 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    988 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
    989 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    990 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
    991 
    992 distdir: $(BUILT_SOURCES)
    993 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
    994 
    995 distdir-am: $(DISTFILES)
    996 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    997 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    998 	list='$(DISTFILES)'; \
    999 	  dist_files=`for file in $$list; do echo $$file; done | \
   1000 	  sed -e "s|^$$srcdirstrip/||;t" \
   1001 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
   1002 	case $$dist_files in \
   1003 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
   1004 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
   1005 			   sort -u` ;; \
   1006 	esac; \
   1007 	for file in $$dist_files; do \
   1008 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1009 	  if test -d $$d/$$file; then \
   1010 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1011 	    if test -d "$(distdir)/$$file"; then \
   1012 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1013 	    fi; \
   1014 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1015 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1016 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1017 	    fi; \
   1018 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1019 	  else \
   1020 	    test -f "$(distdir)/$$file" \
   1021 	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1022 	    || exit 1; \
   1023 	  fi; \
   1024 	done
   1025 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
   1026 	  if test "$$subdir" = .; then :; else \
   1027 	    $(am__make_dryrun) \
   1028 	      || test -d "$(distdir)/$$subdir" \
   1029 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
   1030 	      || exit 1; \
   1031 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
   1032 	    $(am__relativize); \
   1033 	    new_distdir=$$reldir; \
   1034 	    dir1=$$subdir; dir2="$(top_distdir)"; \
   1035 	    $(am__relativize); \
   1036 	    new_top_distdir=$$reldir; \
   1037 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
   1038 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
   1039 	    ($(am__cd) $$subdir && \
   1040 	      $(MAKE) $(AM_MAKEFLAGS) \
   1041 	        top_distdir="$$new_top_distdir" \
   1042 	        distdir="$$new_distdir" \
   1043 		am__remove_distdir=: \
   1044 		am__skip_length_check=: \
   1045 		am__skip_mode_fix=: \
   1046 	        distdir) \
   1047 	      || exit 1; \
   1048 	  fi; \
   1049 	done
   1050 check-am: all-am
   1051 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
   1052 check: check-recursive
   1053 all-am: Makefile $(PROGRAMS)
   1054 installdirs: installdirs-recursive
   1055 installdirs-am:
   1056 install: install-recursive
   1057 install-exec: install-exec-recursive
   1058 install-data: install-data-recursive
   1059 uninstall: uninstall-recursive
   1060 
   1061 install-am: all-am
   1062 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1063 
   1064 installcheck: installcheck-recursive
   1065 install-strip:
   1066 	if test -z '$(STRIP)'; then \
   1067 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1068 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1069 	      install; \
   1070 	else \
   1071 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1072 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1073 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1074 	fi
   1075 mostlyclean-generic:
   1076 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1077 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1078 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1079 
   1080 clean-generic:
   1081 
   1082 distclean-generic:
   1083 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1084 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1085 
   1086 maintainer-clean-generic:
   1087 	@echo "This command is intended for maintainers to use"
   1088 	@echo "it deletes files that may require special tools to rebuild."
   1089 clean: clean-recursive
   1090 
   1091 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
   1092 	mostlyclean-am
   1093 
   1094 distclean: distclean-recursive
   1095 		-rm -f ./$(DEPDIR)/helpers.Po
   1096 	-rm -f ./$(DEPDIR)/test_connect.Po
   1097 	-rm -f ./$(DEPDIR)/test_dns.Po
   1098 	-rm -f ./$(DEPDIR)/test_fd_passing.Po
   1099 	-rm -f ./$(DEPDIR)/test_getpeername.Po
   1100 	-rm -f ./$(DEPDIR)/test_socket.Po
   1101 	-rm -f Makefile
   1102 distclean-am: clean-am distclean-compile distclean-generic \
   1103 	distclean-tags
   1104 
   1105 dvi: dvi-recursive
   1106 
   1107 dvi-am:
   1108 
   1109 html: html-recursive
   1110 
   1111 html-am:
   1112 
   1113 info: info-recursive
   1114 
   1115 info-am:
   1116 
   1117 install-data-am:
   1118 
   1119 install-dvi: install-dvi-recursive
   1120 
   1121 install-dvi-am:
   1122 
   1123 install-exec-am:
   1124 
   1125 install-html: install-html-recursive
   1126 
   1127 install-html-am:
   1128 
   1129 install-info: install-info-recursive
   1130 
   1131 install-info-am:
   1132 
   1133 install-man:
   1134 
   1135 install-pdf: install-pdf-recursive
   1136 
   1137 install-pdf-am:
   1138 
   1139 install-ps: install-ps-recursive
   1140 
   1141 install-ps-am:
   1142 
   1143 installcheck-am:
   1144 
   1145 maintainer-clean: maintainer-clean-recursive
   1146 		-rm -f ./$(DEPDIR)/helpers.Po
   1147 	-rm -f ./$(DEPDIR)/test_connect.Po
   1148 	-rm -f ./$(DEPDIR)/test_dns.Po
   1149 	-rm -f ./$(DEPDIR)/test_fd_passing.Po
   1150 	-rm -f ./$(DEPDIR)/test_getpeername.Po
   1151 	-rm -f ./$(DEPDIR)/test_socket.Po
   1152 	-rm -f Makefile
   1153 maintainer-clean-am: distclean-am maintainer-clean-generic
   1154 
   1155 mostlyclean: mostlyclean-recursive
   1156 
   1157 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1158 	mostlyclean-libtool
   1159 
   1160 pdf: pdf-recursive
   1161 
   1162 pdf-am:
   1163 
   1164 ps: ps-recursive
   1165 
   1166 ps-am:
   1167 
   1168 uninstall-am:
   1169 
   1170 .MAKE: $(am__recursive_targets) check-am install-am install-strip
   1171 
   1172 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
   1173 	am--depfiles check check-TESTS check-am clean clean-generic \
   1174 	clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \
   1175 	ctags-am distclean distclean-compile distclean-generic \
   1176 	distclean-libtool distclean-tags distdir dvi dvi-am html \
   1177 	html-am info info-am install install-am install-data \
   1178 	install-data-am install-dvi install-dvi-am install-exec \
   1179 	install-exec-am install-html install-html-am install-info \
   1180 	install-info-am install-man install-pdf install-pdf-am \
   1181 	install-ps install-ps-am install-strip installcheck \
   1182 	installcheck-am installdirs installdirs-am maintainer-clean \
   1183 	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1184 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1185 	recheck tags tags-am uninstall uninstall-am
   1186 
   1187 .PRECIOUS: Makefile
   1188 
   1189 
   1190 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1191 # Otherwise a system limit (for SysV at least) may be exceeded.
   1192 .NOEXPORT: